Public Class Form10

    Private Sub Form10_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'achatDataSet.factureachat' table. You can move, or remove it, as needed.
        Form10.xx(Form1.t9.Text, Form1.d2.Text)
       
        Me.ReportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout)
    End Sub
    Public Shared Sub xx(ByVal value As String, ByVal dat As String)
        If Form1.t9.Text <> Nothing Then
            Form10.factureachatTableAdapter.FillBy(Form10.achatDataSet.factureachat, value, dat)

        End If

    End Sub
End Class